Download it now!
Bug 123770 - Format - Paragraph crash
Summary: Format - Paragraph crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-02-28 16:53 UTC by raal
Modified: 2019-03-13 13:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-02-28 16:53:22 UTC
Description:
Version: 6.3.0.0.alpha0+
Build ID: e85e38662ab84141c43e6c9b52d4a5f50bcf8ec1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 

Steps to Reproduce:
1.open Writer
2.menu Format / Paragraph
3.

Actual Results:
crash

Expected Results:
no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2019-02-28 16:54:22 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

3c160fa41138a1206e709b852fb7bf127558c014 is the first bad commit
commit 3c160fa41138a1206e709b852fb7bf127558c014
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Feb 28 01:56:37 2019 +0100

    source sha:c9666ae13d0c5c24e876770fc6458bf41f178a57

author	Caolán McNamara <caolanm@redhat.com>	2019-02-27 11:41:54 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-02-27 22:20:20 +0100
commit	c9666ae13d0c5c24e876770fc6458bf41f178a57 (patch)
tree	3a42e0ef4164c743d1c40e229fe7ce8742b9440c
parent	4c3e0b2400c6b101a89f21e2268d5b696770fb9c (diff)
Related: tdf#123711 better optimal size for highlighting tab
it only uses the color subtab, so just measure
ones which can be visible
Comment 3 Xisco Faulí 2019-03-13 13:46:23 UTC
(In reply to Caolán McNamara from comment #2)
> I bet
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=65438bcda46bab4f2fe6fb555f44aace45e11e5e fixes this

Yep, it's fixed by the commit